Name: hunspell-ru-io
Summary: Russian hunspell dictionaries
Version: 20040406
Release: alt3
Group: Text tools
License: BSD
URL: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/

Source0: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/ru_RU_yo.zip

Provides: hunspell-ru
Requires: libhunspell

BuildArch: noarch
BuildRequires: unzip

%description
Russian hunspell dictionaries.
Support Cyrillic_io.

%prep
%setup -q -c -n hunspell-ru

%build
chmod -x *

%install
mkdir -p %buildroot%_datadir/myspell
iconv -fKOI8-R -tUTF-8 ru_RU_yo.aff > %buildroot%_datadir/myspell/ru_RU_io.aff
iconv -fKOI8-R -tUTF-8 ru_RU_yo.dic > %buildroot%_datadir/myspell/ru_RU_io.dic
subst 's|^SET KOI8-R|SET UTF-8|' %buildroot%_datadir/myspell/ru_RU_io.aff

mkdir -p %buildroot%_altdir
cat > %buildroot%_altdir/%name <<EOF
%_datadir/myspell/ru_RU.dic	%_datadir/myspell/ru_RU_io.dic	20
%_datadir/myspell/ru_RU.aff	%_datadir/myspell/ru_RU_io.aff	20
EOF

%files
%doc README_ru_RU*.txt
%_altdir/%name
%_datadir/myspell/*

%changelog
* Tue Jan 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 20040406-alt3
- converted to UTF-8

* Mon Jul 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 20040406-alt2
- rebuild

* Tue Nov 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 20040406-alt1
- initial release
